Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707030 - net-analyzer/angst-0.4b-r2 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/angst-0.4b-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 21:20 UTC by Toralf Förster
Modified: 2020-01-30 13:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.18 KB, text/plain)
2020-01-28 21:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,134.39 KB, text/plain)
2020-01-28 21:20 UTC, Toralf Förster
Details
environment (environment,74.44 KB, text/plain)
2020-01-28 21:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.23 KB, application/x-bzip)
2020-01-28 21:20 UTC, Toralf Förster
Details
net-analyzer:angst-0.4b-r2:20200128-211339.log (net-analyzer:angst-0.4b-r2:20200128-211339.log,23.07 KB, text/plain)
2020-01-28 21:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,19.59 KB, application/x-bzip)
2020-01-28 21:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 21:20:26 UTC
      |  ^~~~~~~
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -I/usr/local/include `libnet-1.0-config --defines` -DLINUX  -c missing/strlcat.c -o missing/strlcat.o
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -I/usr/local/include `libnet-1.0-config --defines` -DLINUX  -c missing/strlcpy.c -o missing/strlcpy.o
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -o angst `libnet-1.0-config --defines` -DLINUX  -Wl,-O1 -Wl,--as-needed main.o active.o enable.o help.o host.o pcap.o signal.o util.o missing/strlcat.o missing/strlcpy.o -I/usr/local/include -L/usr/local/lib `libnet-1.0-config --libs` -lpcap
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: active.o:(.bss+0x2040): multiple definition of `device'; main.o:(.bss+0x2040): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: active.o:(.bss+0x10): multiple definition of `head'; main.o:(.bss+0x10): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 20:26:24 +0000

emerge -qpvO net-analyzer/angst
[ebuild  N    ] net-analyzer/angst-0.4b-r2
Comment 1 Toralf Förster gentoo-dev 2020-01-28 21:20:28 UTC
Created attachment 607242 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 21:20:31 UTC
Created attachment 607244 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 21:20:34 UTC
Created attachment 607246 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 21:20:36 UTC
Created attachment 607248 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 21:20:39 UTC
Created attachment 607250 [details]
net-analyzer:angst-0.4b-r2:20200128-211339.log
Comment 6 Toralf Förster gentoo-dev 2020-01-28 21:20:42 UTC
Created attachment 607252 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-01-30 13:55:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ea78ba7c3899ad982cb4caf3f2e755f3c939134

commit 7ea78ba7c3899ad982cb4caf3f2e755f3c939134
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-30 13:54:37 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-30 13:54:58 +0000

    net-analyzer/angst: CFLAGS=-fcommon EAPI=7 IUSE=debug
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707030
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/angst/angst-0.4b-r3.ebuild   | 45 +++++++++++++++++++++++++++++++
 net-analyzer/angst/files/0.4b-flags.patch | 20 ++++++++++++++
 2 files changed, 65 insertions(+)